Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 1799161 - arbor: FTBFS in Fedora rawhide/f32
Summary: arbor: FTBFS in Fedora rawhide/f32
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: arbor
Version: 32
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ankur Sinha (FranciscoD)
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: F32FTBFS
TreeView+ depends on / blocked
 
Reported: 2020-02-06 15:59 UTC by Fedora Release Engineering
Modified: 2020-02-24 13:47 UTC (History)
2 users (show)

Fixed In Version: arbor-0.2.2-5.20200223gitf12f934f365d9e68f01bfd857982be80da2ddd10.fc32
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-02-24 13:47:19 UTC
Type: ---
Embargoed:


Attachments (Terms of Use)
build.log (deleted)
2020-02-06 15:59 UTC, Fedora Release Engineering
no flags Details
root.log (deleted)
2020-02-06 15:59 UTC, Fedora Release Engineering
no flags Details
state.log (deleted)
2020-02-06 15:59 UTC, Fedora Release Engineering
no flags Details


Links
System ID Private Priority Status Summary Last Updated
Github arbor-sim arbor issues 920 0 None open Architecture support: build failures on architectures other than x86_64 2020-02-23 09:52:47 UTC

Description Fedora Release Engineering 2020-02-06 15:59:21 UTC
arbor failed to build from source in Fedora rawhide/f32

https://koji.fedoraproject.org/koji/taskinfo?taskID=41315846


For details on the mass rebuild see:

https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild
Please fix arbor at your earliest convenience and set the bug's status to
ASSIGNED when you start fixing it. If the bug remains in NEW state for 8 weeks,
arbor will be orphaned. Before branching of Fedora 33,
arbor will be retired, if it still fails to build.

For more details on the FTBFS policy, please visit:
https://fedoraproject.org/wiki/Fails_to_build_from_source

Comment 1 Fedora Release Engineering 2020-02-06 15:59:24 UTC
Created attachment 1658441 [details]
build.log

Comment 2 Fedora Release Engineering 2020-02-06 15:59:27 UTC
Created attachment 1658442 [details]
root.log

file root.log too big, will only attach last 32768 bytes

Comment 3 Fedora Release Engineering 2020-02-06 15:59:29 UTC
Created attachment 1658443 [details]
state.log

Comment 4 Ankur Sinha (FranciscoD) 2020-02-06 16:37:33 UTC
Well, these failures are due to other errors, but build failures on different arches has already been reported to upstream: https://github.com/arbor-sim/arbor/issues/920

Once they cut a new release, I will be able to test a build to see how it fares on F32/rawhide.

Comment 5 Ben Cotton 2020-02-11 17:09:59 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 32 development cycle.
Changing version to 32.


Note You need to log in before you can comment on or make changes to this bug.